GET /api/v202302/widget/monthlytrend/{specificWidgetId}

Returns data for the monthly trend widget

GetMonthlyTrendV202302

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificWidgetId Specific widget identifier integer (int32) Required

Query Parameters

Name Description Type Required
filter Optional filters string (string) Optional

Filters

Filter Description Type Operators
accountId Integer equals
budgetVersionId Integer equals
Channel Channel String equals
chartType Chart Type String equals
commodityCategoryID Integer equals
commodityId Integer equals
cumulative Display as Cumulative Boolean equals
DataPointID Integer equals
emissionSourceId Integer equals
EsaChannelID Integer equals
esaIntervalWidgetGroupBy Group By String equals
includeAccountCharges Include Account Charges Boolean equals
includeAccruals Include Accruals Boolean equals
meterGroupInfo Meter Group Display String equals
meterId Integer equals
numberOfYears Integer equals
placeGroupId Integer equals
placeGroupName Place Group Name String equals
rateId Integer equals
readingDate Reading Date DateTime equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
Schedule Schedule String equals
topmostCollectionId Integer equals
topmostCostCenterId Integer equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceId Integer equals
topmostPlaceName Topmost Place Name String equals
vendorId Integer equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

TrendDataResponse
Property Description Type
calendarType The type of calendar periods being returned, either “Calendar” or “Fiscal”. This applies to CurrentYear, PeriodRange, and dates in the Values array string
currentYear The latest calendar or fiscal year, denotes the YTD year integer (int32)
entities TimeSeriesEntity[]
TimeSeriesEntity properties
Property Description Type
display string
id integer (int32)
secondaryDisplay string
type string
periodRange PeriodRange
PeriodRange properties
Property Description Type
endPeriod The end period for the range integer (int32)
startPeriod The start period for the range integer (int32)
target TrendTarget
TrendTarget properties
Property Description Type
targetLabel Target label string
targetValue Total value (use or cost) for the target year in the unit of the value being reported on number (double)
targetYTDLabel Target YTD label string
targetYTDValue Year to date value (use or cost) for the target year in the unit of the value being reported on number (double)
targetYear Target year integer (int32)
values TimeSeriesValue[]
TimeSeriesValue properties
Property Description Type
date string (date-time)
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
id integer (int32)
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
Example Response application/json
{  "calendarType": "string",  "currentYear": 1,  "entities": [
    {    "display": "string",    "id": 1,    "secondaryDisplay": "string",    "type": "string"
  }
  ],  "periodRange": {    "endPeriod": 1,    "startPeriod": 1
  },  "target": {    "targetLabel": "string",    "targetValue": 1.0,    "targetYTDLabel": "string",    "targetYTDValue": 1.0,    "targetYear": 1
  },  "values": [
    {    "date": "2026-03-30",    "formattedValue": "string",    "id": 1,    "unit": "string",    "value": 1.0
  }
  ]
}